Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class CzexUtils

    java.lang.Object
      com.compoze.exchange.CzexUtils

public class CzexUtils
extends java.lang.Object

This class contains protected utility methods for implementing the rest of the package.

Constructor Summary
`CzexUtils()`

Method Summary
`static PropertyValue[]` | `combinePropVals(PropertyValue[] userValues, PropertyValue[] requiredValues)` Combine two arrays of `PropertyValue` objects into one array in order to ensure that specific values are set when creating messages.
`static java.lang.String` | `escapeString(java.lang.String sString, char escapeChar, char charToEscape)` Escapes a string.
`static java.util.Date` | `getDateFromDouble(double dRawDate, java.util.TimeZone tz)` Gets a Java date from a COM double date.
`static java.util.Date` | `getDateFromDouble(double dRawDate, java.util.TimeZone tz, boolean bDouble)` Gets a Java date from a COM double date.
`static double` | `getDoubleFromDate(java.util.Date date, java.util.TimeZone tz)` Gets a COM double date from a Java date.
`static double` | `getDoubleFromDate(java.util.Date date, java.util.TimeZone tz, boolean bDouble)` Gets a COM double date from a Java date.
`static java.lang.String` | `getHtmlFromRTF(java.lang.String sRtf)` Strips the HTML from an RTF string that contains it.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CzexUtils

    public CzexUtils()

Method Detail

### escapeString

    public static java.lang.String escapeString(java.lang.String sString,
                                                char escapeChar,
                                                char charToEscape)

  Escapes a string.

  Parameters:
    `sString` - the string to escape
    `escapeChar` - the escape character to use
    `charToEscape` - the character that needs to be escaped
  Returns:
    the unescaped string

### getDateFromDouble

    public static java.util.Date getDateFromDouble(double dRawDate,
                                                   java.util.TimeZone tz)

  Gets a Java date from a COM double date. In a COM Variant, dates are represented as 64-bit numbers, where midnight, January 1, 1900 is 2.0, January 2, 1900 is 3.0, and so on.

  Parameters:
    `dRawDate` - the COM double date
    `tz` - the time zone the COM double is in
  Returns:
    the Java date

### getDateFromDouble

    public static java.util.Date getDateFromDouble(double dRawDate,
                                                   java.util.TimeZone tz,
                                                   boolean bDouble)

  Gets a Java date from a COM double date. In a COM Variant, dates are represented as 64-bit numbers, where midnight, January 1, 1900 is 2.0, January 2, 1900 is 3.0, and so on.

  Parameters:
    `dRawDate` - the COM double date
    `tz` - the time zone the COM double is in
    `bDouble` - if true, double the applied user offset
  Returns:
    the Java date

### getDoubleFromDate

    public static double getDoubleFromDate(java.util.Date date,
                                           java.util.TimeZone tz)

  Gets a COM double date from a Java date. In a COM Variant, dates are represented as 64-bit numbers, where midnight, January 1, 1900 is 2.0, January 2, 1900 is 3.0, and so on.

  Parameters:
    `date` - the Java date
    `tz` - the time zone of the date
  Returns:
    the COM double date

### getDoubleFromDate

    public static double getDoubleFromDate(java.util.Date date,
                                           java.util.TimeZone tz,
                                           boolean bDouble)

  Gets a COM double date from a Java date. In a COM Variant, dates are represented as 64-bit numbers, where midnight, January 1, 1900 is 2.0, January 2, 1900 is 3.0, and so on.

  Parameters:
    `date` - the Java date
    `tz` - the time zone of the date
    `bDouble` - if true, double the applied user offset
  Returns:
    the COM double date

### getHtmlFromRTF

    public static java.lang.String getHtmlFromRTF(java.lang.String sRtf)

  Strips the HTML from an RTF string that contains it.

  Parameters:
    `sRtf` - The RTF string.
  Returns:
    The HTML if it is there, otherwise returns `null`.

### combinePropVals

    public static PropertyValue[] combinePropVals(PropertyValue[] userValues,
                                                  PropertyValue[] requiredValues)

  Combine two arrays of `PropertyValue` objects into one array in order to ensure that specific values are set when creating messages.

  Parameters:
    `userValues` - the values specified by the user to create
    `requiredValues` - the required values that must be created
  Returns:
    the combined array of values

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.